function varargout = Damping(data,rnow,Run,call)

if call == 1
    B = sparse(zeros(6));
    
    MA = Inertia(data,zeros(6,3),1);
    C  = Restoring(data,zeros(6,3),1,'linear');
    
    B(1,1) = data.body.ksi1 * 2 * sqrt(MA(1,1) .* C(1,1));
    B(3,3) = data.body.ksi3 * 2 * sqrt(MA(3,3) .* C(3,3));
    B(5,5) = data.body.ksi5 * 2 * sqrt(MA(5,5) .* C(5,5));
    
    varargout{1} = B;
elseif call == 2
    B = sparse(zeros(6));
    
    MA = Inertia(data,zeros(6,3),1);
    C  = Restoring(data,zeros(6,3),1,'linear');
    
    B(1,1) = data.body.ksi1 * 2 * sqrt(MA(1,1) .* C(1,1));
    B(3,3) = data.body.ksi3 * 2 * sqrt(MA(3,3) .* C(3,3));
    B(5,5) = data.body.ksi5 * 2 * sqrt(MA(5,5) .* C(5,5));
    
    Fd = B * rnow(:,2);
    
    varargout{1} = Fd;
elseif call == 3
    B = sparse(zeros(6));
    
    MA = Inertia(data,zeros(6,3),1);
    C  = Restoring(data,zeros(6,3),1,'linear');
    
    B(1,1) = data.body.ksi1 * 2 * sqrt(MA(1,1) .* C(1,1));
    B(3,3) = data.body.ksi3 * 2 * sqrt(MA(3,3) .* C(3,3));
    B(5,5) = data.body.ksi5 * 2 * sqrt(MA(5,5) .* C(5,5));
    
    Fd = B * rnow(:,2);
    
    varargout{1} = Fd;
    varargout{2} = B;
end
end