function RAO = FreqResponse(Run,data)

MA  = Inertia(data,zeros(6,3),1);
B   = Damping(data,zeros(6,3),Run,1);
C   = Restoring(data,zeros(6,3),1,'linear');

j=1;
for omega = Run.omega(1):(Run.omega(2)-Run.omega(1))/100:Run.omega(2)
    H  = sparseinv(C - omega^2*MA + i*omega*B);
    Run.zetaA = 1;
    if omega ~=0
        Run.T = 2*pi/omega;
    else
        Run.T = inf;
    end
    [Fs Fc] = WaveLoads(Run,data);
    Fexp = Fs + Fc*exp(i*pi/2);
    RAO(:,j) = abs(H*Fexp);
    j=j+1;
end
end