function data = Geometry(data)

x = data.body.x;
z = data.body.z;

figure(1)
hold on
for i = 1:length(x)-1
    dz = (z(i+1)-z(i));
    dx = x(i):(x(i+1)-x(i))/10:x(i+1);
    if isempty(dx)
        dx = x(i);
    end
    
    [X,Y,Z] = cylinder(dx,90);
    Z = Z .* dz + z(i); 
    surf(X,Y,Z,'edgecolor',[0.2 0.2 0.8],'facecolor',[0.3 0.3 1])
    
end
hold off

set(gca,'CameraPosition', [max(x)*3 max(x)*3 max(x)*2])
axis equal  %% first 'axis equal' doen't seam to take
axis equal
pause(3);
%% Finding waterline crossing

if isempty(find(z==0)) %#ok
    for i = 1:length(x)-1;
        try
            if z(i) < 0           
                if z(i+1) > 0
                    xZero = x(i) + ...
                        ((x(i+1)-x(i))/(z(i+1)-z(i)))* abs(z(i));
                    x = [x(find(z<0)) xZero x(find(z>0))];%#ok
                    z = [z(find(z<0)) 0 z(find(z>0))];%#ok
                    break
                end
            end   
        catch
            disp('')
            disp('              ERROR              ')
            disp('Buoy does not break the waterline')
            disp('')
            break
        end
    end
end
data.body.x=x;
data.body.z=z;

x = data.body.xi;
z = data.body.zi;
if isempty(find(z==0)) %#ok
    for i = 1:length(x)-1;
        try
            if z(i) < 0           
                if z(i+1) > 0
                    xZero = x(i) + ...
                        ((x(i+1)-x(i))/(z(i+1)-z(i)))* abs(z(i));
                    x = [x(find(z<0)) xZero x(find(z>0))];%#ok
                    z = [z(find(z<0)) 0 z(find(z>0))];%#ok
                    break
                end
            end   
        catch
            disp('')
            disp('              ERROR              ')
            disp('Buoy does not break the waterline')
            disp('')
            break
        end
    end
end
data.body.xi = x;
data.body.zi = z;
end