function [t r F] = RKInt(Run, data, rnow)

options = odeset('RelTol',1e-3,'AbsTol',1e-2,'MaxStep',Run.dt);
x_start = SSTrans(rnow,'x');
 
% %Mass and damping matrices (linear)
MA   = Inertia(data,zeros(6,3),1);
B    = Damping(data,zeros(6,3),Run,1);
h = waitbar(0,['Time integration, currently at:   0.00 of ' num2str(Run.time) ' seconds']);
[t x] = ode45(@EOM,[0 Run.time],x_start,options,Run,data, MA, B,h);
close(h);
[r F] = Transform(t,x,Run,data);
end