function varargout = RestHydStat(data,rnow,call)

g = data.env.g;
rho = data.env.rho;

if call == 1
    C = sparse(zeros(6));
    
    %% f(x)
    deltaV = deltaVCalc(data,rnow);
    V = max(Vol(data) + deltaV,0);
    GZ = GZcalc(data,rnow);
    Fr3 = rho*g*deltaV;
    Fr5 = -GZ*V*rho*g;
    
    
    %% f(x+h)
    eta3o = rnow(3,1)+0.001;
    eta5o = rnow(5,1)+0.0001;

    %% C(3,3) and C(5,3)
    ro3 = rnow;
    ro3(3,1) = eta3o;

    
    deltaVo = deltaVCalc(data,ro3);
    Vo = max(Vol(data) + deltaVo,0);
    GZo = GZcalc(data,ro3);

    
    Fr3o3 = rho*g*deltaVo;
    Fr5o3 = -GZo*Vo*rho*g;

    C(3,3) = -(Fr3o3-Fr3)/0.001;
    C(5,3) = -(Fr5o3-Fr5)/0.0001;

    %% C(3,5) and C(5,5)
    ro5 = rnow;
    ro5(5,1) = eta5o;

    deltaVo = deltaVCalc(data,ro5);
    Vo = max(Vol(data) + deltaVo,0);
    GZo = GZcalc(data,ro5);

    Fr3o5 = rho*g*deltaVo;
    Fr5o5 = -GZo*Vo*rho*g;

    C(3,5) = -(Fr3o5-Fr3)/0.001;
    C(5,5) = -(Fr5o5-Fr5)/0.0001;
    
    varargout{1} = C;
elseif call == 2
    Fr = sparse(zeros(6,1));
    
    deltaV = deltaVCalc(data,rnow);
    V = max(Vol(data) + deltaV,0);
    GZ = GZcalc(data,rnow);
    
    Fr(3) = rho*g*deltaV;
    Fr(5) = -GZ*V*rho*g;
    
    varargout{1} = Fr;
end