function [Run rnow] = Start

disp('                                         ')
disp('-----------------------------------------')
disp('   Motions of Arctic Surface Buoy v2.1   ')
disp('-----------------------------------------')
disp('                                         ')
while 1
    disp('-----------------------------------------')
    disp('    Choose Type of Envionmental Load     ')
    disp('-----------------------------------------')
    disp('1     Regular Waves                      ')
    disp('2     Ice  (Non-linear, Static)          ')
    disp('3     None (Decay Test)                  ')
    disp('-----------------------------------------')
    disp('                                         ')
    Run.envload = input('Please Choose 1,2,3 : ');
    disp('                                         ')
    if ~(Run.envload == 1 ||Run.envload  == 2 ||Run.envload == 3)
        disp('-----------------------------------------')
        disp('              Bad input                  ')
        disp('-----------------------------------------')
        disp('                                         ')
    else
        break;
    end
end

if Run.envload == 1
    while 1
        disp('-----------------------------------------')
        disp('         Choose Buoy Behaviour           ')
        disp('-----------------------------------------')
        disp('1     Linear      output: RAOs           ')
        disp('2     Linear      output: time series    ')
        disp('3     Non-linear  output: time series    ')
        disp('-----------------------------------------')
        disp('                                         ')
        Run.waveanalysis = input('Please Choose 1,2 or 3: ');
        if ~(Run.waveanalysis == 1 || Run.waveanalysis == 2 || Run.waveanalysis == 3)
            disp('-----------------------------------------')
            disp('              Bad input                  ')
            disp('-----------------------------------------')
            disp('                                         ')
        else
            break;
        end
    end
    Run.decayanalysis = 0;
    if Run.waveanalysis == 1
        Run.model = 1;
        Run.output = 1;
    elseif Run.waveanalysis == 2
        Run.model = 1;
        Run.output = 2;
    elseif Run.waveanalysis == 3
        Run.model = 2;
        Run.output = 2;
    end
elseif Run.envload == 2
    Run.model = 2;
    Run.output = 0;
elseif Run.envload == 3
    while 1
        disp('-----------------------------------------')
        disp('         Choose Bouy Behaviour           ')
        disp('-----------------------------------------')
        disp('1     Linear                             ')
        disp('2     Non-linear                         ')
        disp('-----------------------------------------')
        disp('                                         ')
        Run.decayanalysis = input('Please Choose 1 or 2: ');
        disp('                                         ')
        if ~(Run.decayanalysis == 1 || Run.decayanalysis == 2)
            disp('-----------------------------------------')
            disp('              Bad input                  ')
            disp('-----------------------------------------')
            disp('                                         ')
        else
            break;
        end
    end
    Run.output = 2;
    if Run.decayanalysis == 2
        Run.model = 2;
    else
        Run.model = 1;
    end
end

if Run.envload == 1
    Run.Hice = 0;
    Run.Vice = 0;
    if Run.output == 1
        disp('                                         ')
        disp('------- Specify Frequency Range ---------')
        disp('                                         ')
        Run.omega(1) = input('Specify Lowest Frequency [1/s]: ');
        Run.omega(2) = input('Specify Highest Frequency [1/s]: ');
        Run.T = 0;
        H = 0;
        Run.time = 0;
        Run.dt = 0;
    else
        disp('                                                ')
        disp('-------- Specify Incoming Regular Wave ---------')
        disp('                                                ')
        H = input('Insert Wave Height [m]: ');
        Run.T = input('Insert Wave Period [s]: ');
        disp('                 ')
    end
elseif Run.envload == 2
    H = 0;
    Run.T = 0;
    disp('--------     Specify Ice Properties    ---------')
    disp('                                                ')
    Run.Hice(1) = input('Insert Smallest Ice Thiskness [m]: ');
    Run.Hice(2) = input('Insert Biggest Ice Thiskness [m]: ');
    disp('                 ')
elseif Run.envload == 3
    H = 0;
    Run.T    = 0;
    Run.Hice = 0;
    Run.Vice = 0;
end

if Run.output == 2
    disp('                                         ')
    disp('------- Specify Simulation Time ---------')
    disp('                                         ')
    Run.time = input('Specify length of time series [s] : ');
    if Run.model == 1
        Run.dt = input('Specify length of time steps [s] : ');
    else
        Run.dt = input('Specify max length of time steps [s] : ');
    end
    Run.clutch = input('Specify clutching time [s] : ');
    Run.omega = 0;
else
    Run.clutch = 0;
end

rnow=zeros(6,3); 

if Run.envload == 3;
    disp('                                         ')
    disp('----- Specify Starting Displacement -----')
    disp('                                         ')
    rnow(1,1) = input('Initial Surge Displacement [m]: ');
    rnow(3,1) = input('Initial Heave Displacement [m]: ');
    rnow(5,1) = input('Initial Pitch Displacement [deg]: ')*pi/180;
    disp('                 ')
end

rnow = sparse(rnow);
Run.zetaA= H/2;
end