function [r F] = Transform(t,r_raw,Run,data)

r = zeros(6,3,size(r_raw,1));
F = zeros(6,4,size(r_raw,1));

% Mass and Damping Matrices
MA   = Inertia(data,zeros(6,3),1);
B    = Damping(data,zeros(6,3),Run,1);

h = waitbar(0,'Calculating accelerations and forces...');
for i = 1:size(r_raw,1)
    r(:,:,i) = SSTrans(r_raw(i,:)','r');
    
    % Loads
    Fd = -B *r(:,2,i);
    Fr = Restoring(data,r(:,:,i),2,Zeta(Run,r(:,:,i),t(i)));
    Fexc = ExcLoad(Run,data,t(i));
    Fi = -(Fd + Fr + Fexc);
    
    % Acceleration
    r(:,3,i) = sparseinv(MA) * Fi;
    
    % Saving Loads 
    F(:,1,i) = full(Fi);
    F(:,2,i) = full(Fd);
    F(:,3,i) = full(Fr);
    F(:,4,i) = full(Fexc);
    waitbar(i/size(r_raw,1))
end
close(h)
end