%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                               Analysis.m
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Description: This function coordinates the running of the different
%analysis options which were given in the GUI.
%
%Called by: main.m
%
%Calls: MotionAnalysis, IceCalc
%
%Outputs: Results
%
%Version: 1.0
%Written by: Jon Marius Aasheim, 2012
%
%Version:
%Written by: 
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function [Results]=Analysis(data, Run)



if Run.WantMotion==1
    
    disp('Running Motion Analysis')

    Results = MotionAnalysis(data, Run);
    
    disp('Motion Analysis Completed')
    
else
    disp('Skipped Motion Analysis');
    Results.none = 0;
end


if Run.WantIce==1
    disp('Running Ice Calculations')
  
        Results=IceCalc(data, Results);
    
   disp('Ice Calculations Completed') 
else
    
    Results.none = 0;
    
    disp('Skipped Ice Calculations');
end  