%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                start.m
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Description: This function is only a relay function, it is here to keep 
%the code manageable. Mostly this is for later expansions to the programs
%if they are needed.
%
%Called by: main.m
%
%Calls: Menu
%
%Outputs: data, Run
%
%Version: 1.0
%Written by: Jon Marius Aasheim, 2012
%
%Version:
%Written by: 
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [data, Run]=start(data)

[Run.WantMotion, Run.WantIce, Run.AnalysisTime, Run.TimeStep,...
    data.env.WaveHeight, data.env.WavePeriod, Run.WantHeaveMotion, ...
    Run.WantHeaveTransfer, Run.WantHeaveVelocity, Run.WantHeaveAccel, ... 
    Run.WantHeaveForce, Run.WantPitchMotion, Run.WantPitchTransfer, ...
    Run.WantPitchVelocity, Run.WantPitchAccel, Run.WantPitchMoment, ...
    Run.WantSurgeMotion, Run.WantSurgeTransfer, Run.WantSurgeVelocity, ...
    Run.WantSurgeAccel, Run.WantSurgeForce, data.ice.MinIce, ...
    data.ice.MaxIce, Run.WantIceMotion, Run.WantIceHeel, ...
    Run.WantIceForce, Run.WantIceHeelMoment] = Menu();

end